Delete a cluster
Delete a PostgreSQL cluster.
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
The unique ID of the cluster.
498ae72f-411f-11eb-9d07-046c59cc737eThe deleted cluster with metadata.state set to "DESTROYING".
A database cluster.
The type of the resource.
The unique ID of the resource.
498ae72f-411f-11eb-9d07-046c59cc737eAny erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
DELETE /databases/postgresql/clusters/{clusterId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"type": "cluster",
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "john.doe@example.com",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "jane.doe@example.com",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"state": "AVAILABLE"
},
"properties": {
"displayName": "PostgreSQL cluster",
"postgresVersion": "13",
"location": "de/fra",
"dnsName": "pg.example.com",
"backupLocation": "de",
"instances": 2,
"ram": 4096,
"cores": 4,
"storageSize": 15000,
"storageType": "HDD",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"cidr": "192.168.1.100/24"
}
],
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"synchronizationMode": "ASYNCHRONOUS",
"connectionPooler": {
"enabled": true,
"poolMode": "transaction"
}
}
}Last updated
Was this helpful?